## org.dom4j.io
Class DocumentResult

    java.lang.Object
      javax.xml.transform.sax.SAXResult
          org.dom4j.io.DocumentResult

All Implemented Interfaces:
  Result

public class DocumentResult
extends SAXResult

`DocumentResult` implements a JAXP `SAXResult`for a `Document`.

Version:
  $Revision: 1.8 $
Author:
  James Strachan

Field Summary

Fields inherited from class javax.xml.transform.sax.SAXResult
`FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`DocumentResult()`
`DocumentResult(SAXContentHandler contentHandler)`

Method Summary
`Document` `getDocument()` DOCUMENT ME!
`void` `setHandler(ContentHandler handler)`
`void` `setLexicalHandler(LexicalHandler handler)`

Methods inherited from class javax.xml.transform.sax.SAXResult
`getHandler, getLexicalHandler, getSystemId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentResult

    public DocumentResult()

### DocumentResult

    public DocumentResult(SAXContentHandler contentHandler)

Method Detail

### getDocument

    public Document getDocument()

  DOCUMENT ME!

  Returns:
    the Document created by the transformation

### setHandler

    public void setHandler(ContentHandler handler)

### setLexicalHandler

    public void setLexicalHandler(LexicalHandler handler)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.